Bug 2149999 - Review Request: qtxdg-tools - User tools for libqtxdg
Summary: Review Request: qtxdg-tools - User tools for libqtxdg
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-12-01 14:53 UTC by Zamir SUN
Modified: 2022-12-26 13:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-12-26 13:41:06 UTC
Type: Bug
Embargoed:
manisandro: fedora-review+


Attachments (Terms of Use)

Description Zamir SUN 2022-12-01 14:53:34 UTC
SPEC URL: 
https://download.copr.fedorainfracloud.org/results/zsun/review-lxqt/fedora-rawhide-x86_64/05077601-qtxdg-tools/qtxdg-tools.spec

SRPM URL: 
https://download.copr.fedorainfracloud.org/results/zsun/review-lxqt/fedora-rawhide-x86_64/05077601-qtxdg-tools/qtxdg-tools-3.10.0-1.fc38.src.rpm

Description:
qtxdg-tools is the user tools for libqtxdg. It is maintained by the LXQt project and needed by LXQt Session, in order to be used by xdg-utils.

Fedora Account System Username: zsun

Copr build
https://copr.fedorainfracloud.org/coprs/zsun/review-lxqt/build/5077601/

And copr fedora-review:
https://download.copr.fedorainfracloud.org/results/zsun/review-lxqt/fedora-rawhide-x86_64/05077601-qtxdg-tools/fedora-review/review.txt

NOTE: This is not yet able to build in Koji in Rawhide. It depends on LXQt 1.2.0 library and in order to update LXQt to 1.2.0 I need this package. To build, reviewer can add my LXQt copr to fulfill the dependencies.

https://copr.fedorainfracloud.org/coprs/zsun/lxqt/

Comment 1 Sandro Mani 2022-12-16 10:06:32 UTC
Taking, initial comments:

- Appears to depend on lxqt-build-tools = 0.12.0, but current version in Fedora is lxqt-build-tools-0.11.0.
- Reason for %define __cmake_in_source_build 1?
- Suggestion to use %cmake_build and %cmake_install (and possibly %autosetup -p1):

    %prep
    %autosetup -p1

    %build
    %{cmake_lxqt} -DBUNDLE_XDG_UTILS=NO -DPULL_TRANSLATIONS=NO ..
    %cmake_build

    %install
    %cmake_install

Rest looks good.

Comment 2 Zamir SUN 2022-12-16 10:25:28 UTC
(In reply to Sandro Mani from comment #1)
> Taking, initial comments:
> 
> - Appears to depend on lxqt-build-tools = 0.12.0, but current version in
> Fedora is lxqt-build-tools-0.11.0.

Well yes. lxqt-build-tools-0.12.0 is part of LXQt 1.2.0. I don't feel like doing partial update to avoid FTBFS errors so it became a chicken-and-egg issue for review.

> - Reason for %define __cmake_in_source_build 1?
> - Suggestion to use %cmake_build and %cmake_install (and possibly %autosetup
> -p1):

Thanks for the suggestions. Just removed the in-source build macro and it works fine.

SPEC: https://download.copr.fedorainfracloud.org/results/zsun/review-lxqt/fedora-rawhide-x86_64/05148442-qtxdg-tools/qtxdg-tools.spec
SRPM: https://download.copr.fedorainfracloud.org/results/zsun/review-lxqt/fedora-rawhide-x86_64/05148442-qtxdg-tools/qtxdg-tools-3.10.0-1.fc38.src.rpm

fedora-review: https://download.copr.fedorainfracloud.org/results/zsun/review-lxqt/fedora-rawhide-x86_64/05148442-qtxdg-tools/fedora-review/review.txt

Comment 3 Sandro Mani 2022-12-16 10:33:15 UTC
LGTM, approved!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU Lesser General Public License,
     Version 2.1", "GNU Lesser General Public License v2.1 or later". 6
     files have unknown license. Detailed output of licensecheck in
     /var/lib/copr-rpmbuild/results/qtxdg-tools/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 3

qtxdg-tools.x86_64: W: no-manual-page-for-binary qtxdg-mat
 3 packages and 0 specfiles checked; 0 errors, 1 warnings, 0 badness; has taken 0.3 s 



Source checksums
----------------
https://github.com/lxqt/qtxdg-tools/archive/3.10.0/qtxdg-tools-3.10.0.tar.gz :
  CHECKSUM(SHA256) this package     : 56c25d9d07cfafaaedeb380b50bf5a2c8da6a3b9567926a37510af5a482586bb
  CHECKSUM(SHA256) upstream package : 56c25d9d07cfafaaedeb380b50bf5a2c8da6a3b9567926a37510af5a482586bb


Requires
--------
qtxdg-tools (rpmlib, GLIBC filtered):
    cmake-filesystem
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.15)(64bit)
    libQt5Xdg.so.3()(64bit)
    libc.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

qtxdg-tools-debuginfo (rpmlib, GLIBC filtered):

qtxdg-tools-debugsource (rpmlib, GLIBC filtered):



Provides
--------
qtxdg-tools:
    cmake(qtxdg-tools)
    qtxdg-tools
    qtxdg-tools(x86-64)

qtxdg-tools-debuginfo:
    debuginfo(build-id)
    qtxdg-tools-debuginfo
    qtxdg-tools-debuginfo(x86-64)

qtxdg-tools-debugsource:
    qtxdg-tools-debugsource
    qtxdg-tools-debugsource(x86-64)



Generated by fedora-review 0.9.0 (6761b6c) last change: 2022-08-23
Command line :/usr/bin/fedora-review --no-colors --prebuilt --rpm-spec --name qtxdg-tools --mock-config /var/lib/copr-rpmbuild/results/configs/child.cfg
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, C/C++, Generic
Disabled plugins: Perl, SugarActivity, fonts, Haskell, Python, R, Java, PHP, Ocaml
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 4 Zamir SUN 2022-12-16 10:37:35 UTC
Thanks a lot!

Comment 5 Gwyn Ciesla 2022-12-16 14:35:09 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/qtxdg-tools

Comment 6 Fedora Update System 2022-12-26 13:36:31 UTC
FEDORA-2022-2b5296e125 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-2b5296e125

Comment 7 Fedora Update System 2022-12-26 13:41:06 UTC
FEDORA-2022-2b5296e125 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.